Skip to main content
`Ctrl`+`K`

# VecScatterView

Views a vector scatter context.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterView(VecScatter sf, PetscViewer viewer)

Collective

## Input Parameters

- sf - the scatter context

- viewer - the viewer for displaying the context

## See Also

Low-level Vector Communication, `VecScatter`, `PetscViewer`, `VecScatterViewFromOptions()`, `PetscObjectViewFromOptions()`, `VecScatterCreate()`

## Level

intermediate

## Location

src/vec/vec/utils/vscat.c

## Examples

src/dm/tutorials/ex14.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages